petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMCopyDMKSP

copies a DM context to a new DM

### Synopsis

    #include "petscksp.h"
    PetscErrorCode DMCopyDMKSP(DM dmsrc,DM dmdest)

Logically Collective

### Input Arguments

| dmsrc | - DM to obtain context from
| dmdest | - DM to add context to

### Note

The context is copied by reference. This function does not ensure that a context exists.

### See Also

DMGetDMKSP(), KSPSetDM()

Level:developer
Location:src/ksp/ksp/interface/dmksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages